﻿<!DOCTYPE html>
<html>
<head>
    <link href="/css/bootstrap.min.css" rel="stylesheet" />
    <script src="/js/jquery.min.js"></script>
    <link href="/Reports/Css/Report.css" rel="stylesheet" />
    <script src="/js/bootstrap.min.js"></script>
    <style>

        @media print {
            #btnPrint {
                display: none;
            }
        }

        legend {
            border-bottom: 1px solid #5f7c8a;
        }

        .tableCSS > tbody > tr > td,
        .tableCSS > thead > tr > td,
        .tableCSS > tfoot > tr > td {
            border: 1px solid #5f7c8a;
        }

        pre {
            border: none !important;
        }
         
    </style>
    <title></title>
</head>
<body style="font-family: Arial; font-size: 12px">

    <div class="table-responsive" id="PrintTable">
        <div style="margin-bottom: 5px;">
            <div class="row" style="margin-bottom: 5px;width:100%">
                <div class="col-md-4 col-lg-4 col-sm-4 text-left">
                    <img src="" id="PrintLogo" height="40" />
                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-center" style="margin-top: 0.5%; font-size: 12px; color: black; font-weight: bold;">
                    Open Balance Report By Customer
                    <br />
                    <span class="text-center DateRangeCSS" style="font-size: 9px; color: black;" id="DateRange"></span>

                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-right" id="PrintDate" style="line-height: 3; font-size: 12px; color: black; font-weight: bold;">Print Date</div>
            </div>

            <table class="MyTableHeader PrintMyTableHeader" id="PrintTable1">
                <thead>
                    <tr>
                        <td class="PCustomerName left">Customer</td>
                        <td class="PNoofOrder text-center tblwth">No of Orders</td>
                        <td class="PTotalOrderAmount text-right tblwth">Total Order Amount</td>
                        <td class="PTotalPaid text-right tblwth">Total Paid</td>
                        <td class="PTotalDue text-right tblwth">Total Due</td>
                    </tr>
                </thead>
                <tbody></tbody>
                <tfoot>
                    <tr style="font-weight:bold">
                        <td class="text-center;">Overall Total</td>
                        <td id="PTotalOrder" class="text-center">0</td>
                        <td id="PTotalOrderAmount" class="right">0.00</td>
                        <td id="PTotalPaid" class="right">0.00</td>
                        <td id="PAmtDue" class="right">0.00</td>
                    </tr>
                </tfoot>
            </table>

        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            CreateTable();

        });

        function CreateTable() {
            debugger;
            var data = localStorage.getItem("OpenBalanceReportByCustomer");

            $.ajax({
                type: "POST",
                async: false,
                url: "OpenBalanceReportSummary.aspx/OpenBalanceReportSummary",
                data: "{'dataValue':'" + data + "'}",
                contentType: "application/json; charset=utf-8",
                datatype: "json",
                beforeSend: function () {

                },
                complete: function () {

                },
                success: function (response) {
                    if (response.d != "Session Expired") {
                        if (response.d != "false") {
                            var xmldoc = $.parseXML(response.d);
                             var PrintDate = $(xmldoc).find("Table");
                            var productBarcode = $(xmldoc).find("Table1");

                            var OrderTotal = $(xmldoc).find("Table2");

                            $("#PrintTable1 tbody tr").remove();
                            var TotalOrder = 0;
                            var row = $("#PrintTable1 thead tr").clone(true);
                            if (productBarcode.length > 0) {
                                $.each(productBarcode, function () {

                                    $(".PCustomerName", row).text($(this).find("CustomerName").text());
                                    $(".PNoofOrder", row).text($(this).find("NoofOrder").text());
                                    $(".PTotalOrderAmount", row).text($(this).find("TotalOrderAmount").text());
                                    $(".PTotalPaid", row).text($(this).find("TotalPaid").text());
                                    $(".PTotalDue", row).html($(this).find("AmtDue").text());
                                    $("#PrintTable1 tbody").append(row);
                                    row = $("#PrintTable1 tbody tr:last").clone(true);
                                    TotalOrder = TotalOrder + parseInt($(this).find("NoofOrder").text());
                                });
                            }

                            $(OrderTotal).each(function () {
                                $('#PTotalOrderAmount').html(parseFloat($(this).find('TotalOrderAmount').text()).toFixed(2));
                                $('#PTotalPaid').html(parseFloat($(this).find('TotalPaid').text()).toFixed(2));
                                $('#PAmtDue').html(parseFloat($(this).find('AmtDue').text()).toFixed(2));
                            });
                            $('#PTotalOrder').html(TotalOrder);
                            var P_data = JSON.parse(data)

                            $("#PrintDate").text("Print Date : " + PrintDate.find('PrintDate').text());
                            $("#PrintLogo").attr("src", "/Img/logo/" + P_data.image);
                            window.print();

                        }
                    }
                    else {
                        location.href = "/";
                    }
                }

            });
        }
    </script>

</body>
</html>